import request from '@/utils/request'

// 创建产品类型
export function createProductType(data) {
  return request({
    url: '/ecw/product-type/create',
    method: 'post',
    data: data
  })
}

// 更新产品类型
export function updateProductType(data) {
  return request({
    url: '/ecw/product-type/update',
    method: 'put',
    data: data
  })
}

// 删除产品类型
export function deleteProductType(id) {
  return request({
    url: '/ecw/product-type/delete?id=' + id,
    method: 'delete'
  })
}

// 获得产品类型
export function getProductType(id) {
  return request({
    url: '/ecw/product-type/get?id=' + id,
    method: 'get'
  })
}

// 获得产品类型
export function getProductTypeList(query) {
  return request({
    url: '/ecw/product-type/list',
    method: 'get',
    params: query
  })
}

// 获得产品类型分页
export function getProductTypePage(query) {
  return request({
    url: '/ecw/product-type/page',
    method: 'get',
    params: query
  })
}

// 导出产品类型 Excel
export function exportProductTypeExcel(query) {
  return request({
    url: '/ecw/product-type/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
